signature Deflate =
sig	
	val inflate_block : DeflateIO.byteio -> bool * DeflateIO.byteio
	(*
	 process a single block
	 *)
	 
	val inflate : DeflateIO.byteio -> DeflateIO.byteio
	(*
	 process DEFLATE compressed io stream until end marker
	*)
	
	(* self tests *)
	val tests: bool list
end
