signature DeflateOutput =
sig

	type 'a container
	
	val append_byte : 'a container -> 'a -> 'a container
	
	val append_bytes : 'a container -> 'a list -> 'a container
	
	val append_from_output : 'a container -> int -> int -> 'a container
	
	val output : 'a container -> 'a list
	
	val empty : 'a container
	
	(* self test *)
	val tests : bool list
	
end
